Bug 879877 - Review Request: xs-rsync - OLPC XS Rsync publishing
Review Request: xs-rsync - OLPC XS Rsync publishing
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-NEEDSPONSOR
  Show dependency treegraph
 
Reported: 2012-11-24 21:25 EST by kparmar4
Modified: 2016-07-29 06:37 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-29 06:37:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kparmar4 2012-11-24 21:25:41 EST
Spec URL: https://www.dropbox.com/s/7d3uykgpsffu8ic/xs-rsync.spec
SRPM URL: https://www.dropbox.com/s/g9jfv6epugrjvh0/xs-rsync-0.6.12.gabc8f49-1.0.2.fc17.src.rpm
Description: Hi, I have rebuild this package to meet with Packaging guidelines. I received original package from http://build.laptop.org.au/xs/XS-0.7+/repos/XS-F17ARM/SRPMS/
I would appreciate a review for this package.

Fedora Account System Username: kparmar4

Output of Fedora-Review Tool:

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: Package installs properly.
     Note: Installation errors (see attachment)
See: https://fedoraproject.org/wiki/Packaging:Guidelines
[!]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: These BR are not needed: make
See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2


===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[!]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: These BR are not needed: make
[ ]: Package contains no bundled libraries.
[ ]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[ ]: Sources contain only permissible code or content.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
[ ]: Macros in Summary, %description expandable at SRPM build time.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[ ]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/kparmar4/rpmbuild/SRPMS/review-xs-
     rsync/licensecheck.txt
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[ ]: Package is named according to the Package Naming Guidelines.
[x]: No %config files under /usr.
[ ]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[!]: Package installs properly.
     Note: Installation errors (see attachment)
[ ]: Package is not relocatable.
[ ]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[ ]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[ ]: Buildroot is not present
     Note: Buildroot: present but not needed
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[ ]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[ ]: Scriptlets must be sane, if used.
[ ]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[ ]: Files in /run, var/run and /var/lock uses tmpfiles.d when appropriate
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Installation errors
-------------------
INFO: mock.py version 1.1.26 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Mock Version: 1.1.26
INFO: Mock Version: 1.1.26
Start: lock buildroot
INFO: installing package(s): /home/kparmar4/rpmbuild/SRPMS/review-xs-rsync/results/xs-rsync-0.6.12.gabc8f49-1.0.2.fc17.noarch.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-17-i386/root/', 'install', '/home/kparmar4/rpmbuild/SRPMS/review-xs-rsync/results/xs-rsync-0.6.12.gabc8f49-1.0.2.fc17.noarch.rpm', '--setopt=tsflags=nocontexts']
Error: Package: xs-rsync-0.6.12.gabc8f49-1.0.2.fc17.noarch (/xs-rsync-0.6.12.gabc8f49-1.0.2.fc17.noarch)
           Requires: usbmount
 You could try using --skip-broken to work around the problem
Error: Package: xs-rsync-0.6.12.gabc8f49-1.0.2.fc17.noarch (/xs-rsync-0.6.12.gabc8f49-1.0.2.fc17.noarch)
           Requires: xs-tools
Error: Package: xs-rsync-0.6.12.gabc8f49-1.0.2.fc17.noarch (/xs-rsync-0.6.12.gabc8f49-1.0.2.fc17.noarch)
           Requires: xs-config
 You could try running: rpm -Va --nofiles --nodigest



Rpmlint
-------
Checking: xs-rsync-0.6.12.gabc8f49-1.0.2.fc17.src.rpm
          xs-rsync-0.6.12.gabc8f49-1.0.2.fc17.noarch.rpm
xs-rsync.src: W: invalid-url Source0: xs-rsync-0.6.12.gabc8f49.tar.bz2
xs-rsync.noarch: W: non-standard-uid /library/xs-rsync/state xs-rsync
xs-rsync.noarch: W: non-standard-gid /library/xs-rsync/state xs-rsync
xs-rsync.noarch: W: non-standard-uid /library/xs-rsync/tmp xs-rsync
xs-rsync.noarch: W: non-standard-gid /library/xs-rsync/tmp xs-rsync
xs-rsync.noarch: W: non-standard-uid /library/xs-rsync/pub/builds xs-rsync
xs-rsync.noarch: W: non-standard-gid /library/xs-rsync/pub/builds xs-rsync
xs-rsync.noarch: W: non-standard-uid /library/xs-rsync/pub xs-rsync
xs-rsync.noarch: W: non-standard-gid /library/xs-rsync/pub xs-rsync
xs-rsync.noarch: W: non-standard-uid /var/run/xs-rsync xs-rsync
xs-rsync.noarch: W: non-standard-gid /var/run/xs-rsync xs-rsync
xs-rsync.noarch: W: no-manual-page-for-binary xs-unpack-xobuild
xs-rsync.noarch: W: no-manual-page-for-binary xs-publish-xobuild
xs-rsync.noarch: W: no-manual-page-for-binary xs-refresh-xobuilds
xs-rsync.noarch: W: dangerous-command-in-%post cp
2 packages and 0 specfiles checked; 0 errors, 15 warnings.




Requires
--------
xs-rsync-0.6.12.gabc8f49-1.0.2.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    /bin/bash  
    /bin/sh  
    /usr/bin/python  
    bash  
    config(xs-rsync) = 0.6.12.gabc8f49-1.0.2.fc17
    fakechroot  
    fakeroot  
    python  
    rsync  
    usbmount  
    vixie-cron  
    xinetd  
    xs-config  
    xs-tools  
    xz  
    xz-lzma-compat  



Provides
--------
xs-rsync-0.6.12.gabc8f49-1.0.2.fc17.noarch.rpm:
    
    config(xs-rsync) = 0.6.12.gabc8f49-1.0.2.fc17
    xs-rsync = 0.6.12.gabc8f49-1.0.2.fc17



MD5-sum check
-------------


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-17-i386
Command line :/usr/bin/fedora-review --rpm-spec --name xs-rsync
Comment 1 kparmar4 2012-12-06 02:41:52 EST
Spec File: https://www.dropbox.com/s/5v65m79yrh866bb/xs-rsync%20%282%29.spec
RPM: https://www.dropbox.com/s/b6f2p3f025d3gdp/xs-rsync-0.6.12.gabc8f49-1.0.3.fc17.src.rpm

The issue about Installation in fedora-review comes up because I believe I have installed all the dependencies on my local machine.
I have talked to people on #fedora-devel and one person told me that because he didn't had any issue regarding the installation.
Comment 2 William Moreno 2016-01-06 15:26:35 EST
Links are not working, if you want to continue upload those files again and I can take this review.
Comment 3 Miroslav Suchý 2016-07-29 06:37:21 EDT
Closing because SRPM link point to 0B file. Please provide downloable files and reopen.

Note You need to log in before you can comment on or make changes to this bug.